<twig:Atoms:Button:Button
        data-controller="dark-mode"
        id="theme-toggle"
        class="text-gray-500 dark:text-gray-400 hover:bg-gray-100 dark:hover:bg-gray-700 focus:ring-gray-200 dark:focus:ring-gray-700 rounded-lg"
>
    <span id="theme-toggle-dark-icon" class="hidden">
        <twig:Atoms:Icon:Moon/>
    </span>
    <span id="theme-toggle-light-icon" class="hidden">
        <twig:Atoms:Icon:Sun/>
    </span>
</twig:Atoms:Button:Button>